Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::VScrollbar Class Reference

A GtkVScrollbar C++ wrapper class. More...

`#include <xfc/gtk/scrollbar.hh>`

Inheritance diagram for Xfc::Gtk::VScrollbar:

List of all members.

## Public Member Functions

Constructors

- VScrollbar ()
    Construct a new vertical scrollbar; the scrollbar will create an adjustment for you.
- VScrollbar (Adjustment &adjustment)
    Construct a new vertical scrollbar with the specified adjustment.
- virtual ~VScrollbar ()
    Destructor.

Accessors

- GtkVScrollbar * gtk_vscrollbar () const
    Get a pointer to the GtkVScrollbar structure.
- operator GtkVScrollbar * () const
    Conversion operator; safely converts a VScrollbar to a GtkVScrollbar pointer.

## Protected Member Functions

Constructors

- VScrollbar (GtkVScrollbar *vscrollbar, bool owns_reference=false)
    Construct a new VScrollbar from an existing GtkVScrollbar.

## Detailed Description

A GtkVScrollbar C++ wrapper class.

The VScrollbar widget is a widget arranged vertically creating a scrollbar. See Scrollbar for details on scrollbars. An Adjustment may be added to handle the adjustment of the scrollbar.

See also: the Range Widget HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::VScrollbar::VScrollbar | ( | GtkVScrollbar * | vscrollbar,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new VScrollbar from an existing GtkVScrollbar.

Parameters:

  | vscrollbar | A pointer to a GtkVScrollbar.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The vscrollbar can be a newly created GtkVScrollbar or an existing GtkVScrollbar (see G::Object::Object).

Xfc::Gtk::VScrollbar::VScrollbar | ( | Adjustment & | adjustment | ) | `[explicit]`

Construct a new vertical scrollbar with the specified adjustment.

Parameters:

  | adjustment | The Adjustment to use.

The documentation for this class was generated from the following file:

- scrollbar.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3